#define rc_flag    rc4
%define lua_ver    5.1
%define _luapkgdir %{_datadir}/lua/%{lua_ver}

Name:          lua-resty-core
Version:       0.1.28
Release:       1%{dist}
License:       BSD
URL:           https://github.com/openresty/lua-resty-core
Source:        https://github.com/openresty/lua-resty-core/archive/refs/tags/v%{version}.tar.gz
BuildArch:     noarch
BuildRequires: lua-filesystem
Requires:      lua(abi) == %{lua_ver}
Requires:      lua-resty-lrucache nginx-cp >= 1.24.0

Summary:       New FFI-based API for lua-nginx-module

%description
New FFI-based Lua API for ngx_http_lua_module and/or
ngx_stream_lua_module

%prep
%setup -q -n %{name}-%{version}

%build

%install
install -d %{buildroot}%{_luapkgdir}/resty/core
install -d -p %{buildroot}%{_luapkgdir}/ngx/ssl
install lib/resty/*.lua %{buildroot}%{_luapkgdir}/resty/
install lib/resty/core/*.lua %{buildroot}%{_luapkgdir}/resty/core/
install lib/ngx/*.lua %{buildroot}%{_luapkgdir}/ngx/
install lib/ngx/ssl/*.lua %{buildroot}%{_luapkgdir}/ngx/ssl/

%files
%doc README.markdown
%{_luapkgdir}/resty/*
%{_luapkgdir}/ngx/*

%changelog
* Mon Apr  8 2024 Raven <raven@sysadmins.ws> - 0.1.28-1
- version bump

* Thu Apr 13 2023 Raven <raven@sysadmins.ws> - 0.1.26-1
- version bump

* Wed May 25 2022 Raven <raven@sysadmins.ws> - 0.1.23-1
- version bump

* Tue May 11 2021 Raven <raven@sysadmins.ws> - 0.1.21-1
- version bump

* Wed Apr 22 2020 Raven <raven@sysadmins.ws> - 0.1.18rc4-1
- initial build
